//==============================================================================
// Project:		Wealth Transfers and their Economic Effects
// File name:	Merging Individual Wealth Variables
// Objective: 	Adding estimates of individual wealth by asset to the large
//				HILDA dataset.
//
// Created: 	03/05/2021
// Modified: 	16/11/2021
//==============================================================================

**************************
*** Importing the Data ***
**************************

clear

cd "XXXX" // set the content directory here

use HILDA_restricted	// opening the dataset

************************
*** Merging the Data ***
************************

merge 1:1 xwaveid wave using "individual_weight_vars_restricted", nogen	// merging household wealth variables that have been apportioned to individuals

save HILDA_restricted_combined, replace	// saving the combined dataset