//==============================================================================
// Project:		Wealth Transfers and their Economic Effects
// File name:	Death rates by marital status - import
// Objective: 	Importing the death rates by marital status data and coding it
//				to allow merging with the large wealth at death dataset.
//
// Created: 	23/07/2021
// Modified: 	15/11/2021
//==============================================================================

clear

cd "XXXX" 	// set the content directory here

import excel "Death Rates Estimation.xlsx", sheet("Final Death Rates for Import") firstrow case(lower)	// importing the data from excel

* renaming variables
rename age death_age
rename gender hgsex

* recoding the gender variable
replace hgsex = hgsex + 1

save "Death_rates_by_marital_status.dta", replace	// saving the dataset